/* Buttons */

.btn {
    &-outline {
        background-color: color(theme-third-lightest);
        border: 1px solid;
        border-color: color(theme-fourth);
        color: color(mono-darkest);
        body.dark-mode & {
            background-color: color(mono-darkest);
            border-color: color(theme-primary);
            color: color(mono-white);
        }
        &:hover {
            background-color: color(theme-fourth);
            color: color(theme-third-lightest);
            body.dark-mode & {
                background-color: color(mono-white);
                color: color(mono-black);
            }
        }
    }
}

.post-list-preview-btn {
    .bi-arrow-up-short {
        display: none;
    }
    &.active {
        .bi-arrow-up-short {
            display: inline-block;
        }
        .bi-arrow-down-short {
            display: none;
        }
    }
}

/* Wordpress Block Buttons */
.wp-block-button {
    &.is-style-outline {
        .wp-block-button__link {
            @extend .btn;
            @extend .btn-outline-primary;
        }
    }

    &.btn-lg {
        .wp-block-button__link {
            @extend .btn-lg;
        }
    }
    &.btn-sm {
        .wp-block-button__link {
            @extend .btn-sm;
        }
    }

    .wp-block-button__link {
        @extend .btn;
        @extend .btn-primary;
        text-decoration: none;
    }
}